%define _requires_exceptions libR.so

Summary:	A KDE gui to R language
Name:		rkward
Version:	0.4.9
Release:	%mkrel 1
License:	GPLv2+
Group:		Sciences/Mathematics
Url:		http://rkward.sourceforge.net1
Source0:	http://downloads.sourceforge.net/rkward/%{name}-%{version}.tar.bz2
Buildrequires:	R-base		>= 2.6.0
BuildRequires:	kdelibs-devel
BuildRequires:	gcc-gfortran
BuildRequires:	desktop-file-utils
Requires:	R-base		>= 2.6.0
Requires:	php-cli
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
RKWard is meant to become an easy to use, transparent frontend to the 
R-language, a very powerful, yet hard-to-get-into scripting-language with 
a strong focus on statistic functions. It will not only provide a convenient 
user-interface, however, but also take care of seamless integration with an 
office-suite. Practical statistics is not just about calculating, after all, 
but also about documenting and ultimately publishing the results.

Warning, this is a experimental software, not for production use !

%prep
%setup -qn %{name}-%{version}

%build
%configure2_5x \
    --disable-rpath \
    --enable-pch \
    --enable-nmcheck \
    --enable-new-ldflags \
    --with-r-libdir=%{_libdir}/R/lib \
    --with-r-home=%{_libdir}/R

sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
mkdir -p %{buildroot}%{_libdir}/R/lib

%makeinstall_std

# already provided by kdelibs-common
rm -f %{buildroot}/%{_datadir}/apps/katepart/syntax/r.xml

# already in R-base package
rm -f %{buildroot}/%{_libdir}/R/library/R.css

sed -i -e 's/^Icon=%{name}.png$/Icon=%{name}/g' %{buildroot}%{_datadir}/applications/kde/*

desktop-file-install \
	--remove-key="Encoding" \
	--remove-category="Education" \
	--dir %{buildroot}%{_datadir}/applications/kde %{buildroot}%{_datadir}/applications/kde/*

%find_lang %{name}

%post
%{update_menus}
%if %mdkversion >= 200700
%{update_desktop_database}
%update_icon_cache crystalsvg
%endif

%postun
%{clean_menus}
%if %mdkversion >= 200700
%{clean_desktop_database}
%clean_icon_cache crystalsvg
%endif

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc %{_datadir}/doc/HTML/en/%{name}/*
%dir %{_datadir}/apps/rkward
%dir %{_datadir}/apps/rkward/00saveload
%dir %{_datadir}/apps/rkward/analysis
%dir %{_datadir}/apps/rkward/descriptive
%dir %{_datadir}/apps/rkward/distributions
%dir %{_datadir}/apps/rkward/icons
%dir %{_datadir}/apps/rkward/pages
%dir %{_datadir}/apps/rkward/phpfiles
%dir %{_datadir}/apps/rkward/simple_anova
%dir %{_datadir}/apps/rkward/uni1.2
%dir %{_datadir}/apps/rkward/x11device
%dir %{_libdir}/R/lib/rkward
%dir %{_libdir}/R/lib/rkward/Meta
%dir %{_libdir}/R/lib/rkward/R-ex
%dir %{_libdir}/R/lib/rkward/R/
%dir %{_libdir}/R/lib/rkward/help
%dir %{_libdir}/R/lib/rkward/html
%dir %{_libdir}/R/lib/rkward/latex
%dir %{_libdir}/R/lib/rkward/man
%attr(755,root,root) %{_bindir}/%{name}*
%{_datadir}/applications/kde/rkward.desktop
%{_datadir}/apps/katepart/syntax/rkward.xml
%{_datadir}/apps/rkward/00saveload/*
%{_datadir}/apps/rkward/*.pluginmap
%{_datadir}/apps/rkward/analysis/*
%{_datadir}/apps/rkward/descriptive/*
%{_datadir}/apps/rkward/*.rc
%{_datadir}/apps/rkward/distributions/*
%{_datadir}/apps/rkward/icons/*.png
%{_datadir}/apps/rkward/pages/*
%{_datadir}/apps/rkward/phpfiles/*
%{_datadir}/apps/rkward/plots/*
%{_datadir}/apps/rkward/simple_anova/*
%{_datadir}/apps/rkward/uni1.2/*
%{_datadir}/apps/rkward/x11device/*
%{_iconsdir}/locolor/*/apps/%{name}.png
%{_iconsdir}/crystalsvg/*/apps/%{name}.png
%{_libdir}/R/lib/R.css
%{_libdir}/R/lib/rkward/CONTENTS
%{_libdir}/R/lib/rkward/DESCRIPTION
%{_libdir}/R/lib/rkward/INDEX
%{_libdir}/R/lib/rkward/Meta/*.rds
%{_libdir}/R/lib/rkward/R-ex/public.R
%{_libdir}/R/lib/rkward/R/rkward
%{_libdir}/R/lib/rkward/help/AnIndex
%{_libdir}/R/lib/rkward/help/public
%{_libdir}/R/lib/rkward/html/*.html
%{_libdir}/R/lib/rkward/latex/public.tex
%attr(755,root,root) %{_libdir}/R/lib/rkward/libs/rkward.so
%{_libdir}/R/lib/rkward/man/rkward.Rd.gz



%changelog
* Tue Jan 15 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.9-1mdv2008.1
+ Revision: 152829
- remove br on imagemagick
- fix fesktop file
- new version 0.4.9

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Dec 20 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.8a-2mdv2008.1
+ Revision: 135374
- rebuild against new R-base
- correct the summary

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Nov 12 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.8a-1mdv2008.1
+ Revision: 108040
- new version
- new license policy

* Tue Oct 09 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.8-1mdv2008.1
+ Revision: 96124
- new version
- remove X-MandrivaLinux away from desktop file

* Fri Jun 22 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.7a-3mdv2008.0
+ Revision: 43186
- blacklist libR.so
- own some directories

* Sat Jun 16 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.7a-2mdv2008.0
+ Revision: 40387
- rebuild for R-base

* Mon May 07 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.7a-1mdv2008.0
+ Revision: 24816
- add buildrequires on gcc-fortran
- new version

* Fri May 04 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.7-3mdv2008.0
+ Revision: 22472
- finally rkward creates R backend

* Sat Apr 28 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.7-2mdv2008.0
+ Revision: 19030
- rebuild against new R-base
- drop P0
- spec file clean

* Wed Apr 18 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.7-1mdv2008.0
+ Revision: 14799
- new version


* Wed Feb 21 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.6-2mdv2007.0
+ Revision: 123181
- add requires on php-cli
- remove requires on kdebase-konsole
- add some options for %%configure, especially --with-r-home
- hard spec file clean

* Thu Feb 15 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.6-1mdv2007.1
+ Revision: 121530
- new version
- fix menu entry and icons

* Mon Jan 22 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.5-1mdv2007.1
+ Revision: 111951
- Import rkward

